Purge build cache
POST/accounts/{account_id}/builds/triggers/{trigger_uuid}/purge_build_cache
Clear the build cache for a specific trigger
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Purge build cache
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/triggers/$TRIGGER_UUID/purge_build_cache \
-X POST \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [],
"messages": [],
"result": null,
"success": true
}{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [],
"result": null,
"success": false
}Returns Examples
{
"errors": [],
"messages": [],
"result": null,
"success": true
}{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [],
"result": null,
"success": false
}